# Interface AllocationInfo

#### Hierarchy

- AllocationInfo

- Defined in codec/lib/evm/types.ts:46

#####
Index

### Properties

abi?
calldata?
event?
memory?
returndata?
state?
storage?

## Properties

### `Optional` abi

abi?: AbiAllocations

- Defined in codec/lib/evm/types.ts:49

### `Optional` calldata

calldata?: CalldataAllocations

- Defined in codec/lib/evm/types.ts:50

### `Optional` event

event?: EventAllocations

- Defined in codec/lib/evm/types.ts:52

### `Optional` memory

memory?: MemoryAllocations

- Defined in codec/lib/evm/types.ts:48

### `Optional` returndata

returndata?: ReturndataAllocations

- Defined in codec/lib/evm/types.ts:51

### `Optional` state

state?: StateAllocations

- Defined in codec/lib/evm/types.ts:53

### `Optional` storage

storage?: StorageAllocations

- Defined in codec/lib/evm/types.ts:47

Generated using TypeDoc